Mailinglist Archive: opensuse-packaging (140 mails)

< Previous Next >
Re: [opensuse-packaging] don't understand the new licenses
On 25.12.2011 16:01, Guido Berhoerster wrote:
* Sascha Manns <Sascha.Manns@xxxxxxxxxxx> [2011-12-25 14:57]:
Hello mates,

i'm trying to build a new packageversion.
The old Licenses Field was "GPLv3 or later". If i'm going to:
http://license.opensuse.org/ and place GPLv3 there, the Site proposes to use
"GPL-3".
If i'm placing this into the Licenses Field i become:
kvirustotal-lang.noarch: W: invalid-license GPL-3
kvirustotal.x86_64: W: invalid-license GPL-3
kvirustotal.src: W: invalid-license GPL-3
The specified license string is not recognized. Please refer to
http://license.opensuse.org/ for the list of known licences and their exact
spelling.

But why this false? Does anyone knows more?

Use the abbreviations from http://www.spdx.org/licenses/ instead,
in this case "GPL-3.0+".

It's a known issue that license.opensuse.org works incorrectly, but we
ran out of time before christmas vacations.

Greetings, Stephan
--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-packaging+owner@xxxxxxxxxxxx

< Previous Next >